# Create categorical variables
attach(data)
# race categories
data$racecat[data$race_white == 1 & data$race_black==0 & data$race_native==0 & 
               data$race_asian==0 & data$race_islander==0]<-"White"
data$racecat[data$race_white == 0 & data$race_black==1 & data$race_native==0 & 
               data$race_asian==0 & data$race_islander==0]<-"Black"
data$racecat[data$race_white == 0 & data$race_black==0 & data$race_native==1 & 
               data$race_asian==0 & data$race_islander==0]<-"Native"
data$racecat[data$race_white == 0 & data$race_black==0 & data$race_native==0 & 
               data$race_asian==1 & data$race_islander==0]<-"Asian"
data$racecat[data$race_white == 0 & data$race_black==0 & data$race_native==0 & 
               data$race_asian==0 & data$race_islander==1]<-"Islander"
data$racecat[(data$race_white == 1 & data$race_black==1) | (data$race_black==1 & 
                                                              data$race_native==1) | (data$race_white==1 & data$race_native==1) | 
               (data$race_white==1 & data$race_asian==1)]<-"Mixed"
data$racecat[data$race_white == 0 & data$race_black==0 & data$race_native==0 & 
               data$race_asian==0 & data$race_islander==0]<-"None"
# dichotmous race variable
data$racecat.var[data$racecat=='White']<-"White"
data$racecat.var[data$racecat!='White']<-"Non-white"
# combat exposure cutoff 9
data$cesgroup.9[data$X_ces_score<9]<-"low9"
data$cesgroup.9[data$X_ces_score>=9]<-"high9"
# combat exposure cutoff 17
data$cesgroup.17[data$X_ces_score<17]<-"low17"
data$cesgroup.17[data$X_ces_score>=17]<-"high17"
# combat exposure cutoff 25
data$cesgroup.25[data$X_ces_score<25]<-"low25"
data$cesgroup.25[data$X_ces_score>=25]<-"high25"
# diagnosis groups
data$datagroup[data$P96==2]<-"Sub"
data$datagroup[data$P96==3]<-"Clinical"
# gender groups
data$gender.var[data$gender==0]<-"Male"
data$gender.var[data$gender==1]<-"Female"
detach(data)

# Entire Sample 
sum(data$gender) 
mean(data$registry_age_at_visit) 
sd(data$registry_age_at_visit) 
range(data$registry_age_at_visit) 
range(data$X_dts_severity)
sum(data$racecat == "White") 
mean(data$X_ces_score,na.rm=TRUE) 
sd(data$X_ces_score,na.rm=TRUE) 
mean(data$X_dts_severity, na.rm=TRUE)
sd(data$X_dts_severity,na.rm=TRUE)

## Clinical vs. Subthreshold

clinical <- data %>%
  filter(P96==3) #n=912
subthreshold <- data %>%
  filter(P96==2) #n=138
# Clinical n=912
sum(clinical$gender)
mean(clinical$registry_age_at_visit) 
sd(clinical$registry_age_at_visit) 
range(clinical$registry_age_at_visit) 
sum(clinical$racecat == "White") 
mean(clinical$X_ces_score,na.rm=TRUE) 
sd(clinical$X_ces_score,na.rm=TRUE) 
mean(clinical$X_dts_severity, na.rm=TRUE) 
sd(clinical$X_dts_severity,na.rm=TRUE) 
# Clinical Subset n=138
sum(clin_2$gender)
mean(clin_2$registry_age_at_visit) 
sd(clin_2$registry_age_at_visit) 
range(clin_2$registry_age_at_visit) 
sum(clin_2$racecat == "White") 
mean(clin_2$X_ces_score,na.rm=TRUE) 
sd(clin_2$X_ces_score,na.rm=TRUE) 
mean(clin_2$X_dts_severity, na.rm=TRUE) 
sd(clin_2$X_dts_severity,na.rm=TRUE) 
# Clinical Controlled for CES n=113
sum(clin_5$gender)
mean(clin_5$registry_age_at_visit) 
sd(clin_5$registry_age_at_visit) 
range(clin_5$registry_age_at_visit) 
sum(clin_5$racecat == "White") 
mean(clin_5$X_ces_score,na.rm=TRUE) 
sd(clin_5$X_ces_score,na.rm=TRUE) 
mean(clin_5$X_dts_severity, na.rm=TRUE) 
sd(clin_5$X_dts_severity,na.rm=TRUE) 
# Subthreshold 
sum(subthreshold$gender) 
mean(subthreshold$registry_age_at_visit) 
sd(subthreshold$registry_age_at_visit) 
range(subthreshold$registry_age_at_visit) 
sum(subthreshold$racecat == "White") 
mean(subthreshold$X_ces_score) 
sd(subthreshold$X_ces_score) 
mean(subthreshold$X_dts_severity, na.rm=TRUE) 
sd(subthreshold$X_dts_severity, na.rm=TRUE) 

#TLEQ
sum(data$tleq_24==3) #643 combat
sum(data$tleq_24==4) #107 sudden death of friend/loved one

# Inferential statistics
t.test(clinical$registry_age_at_visit,subthreshold$registry_age_at_visit, paired=FALSE) 
t.test(clinical$X_ces_score,subthreshold$X_ces_score,paired=FALSE) #n=912 vs. n=138
t.test(clin_2$X_ces_score,subthreshold$X_ces_score,paired=FALSE) #n=138 vs. n=138
t.test(clin_5$X_ces_score,subthreshold$X_ces_Score,paired=FALSE) #n=113  vs. n=138
t.test(clinical$X_dts_severity,subthreshold$X_dts_severity,paired=FALSE) 
chisq.test(table(data$datagroup,data$gender.var)) 
chisq.test(table(data$datagroup,data$racecat.var)) 


# Low vs. High Combat Exposure
ptsd<-data %>%
  filter(P96==3)
low_25 <- ptsd %>%
  filter(X_ces_score<=24) #n=639
high_25 <- ptsd %>%
  filter(X_ces_score>=25) #n=273

#TLEQ
sum(low_25$tleq_24==3) #
sum(high_25$tleq_24==3) #

# Run descriptive statistics
# Below 25
sum(low_25$gender) 
mean(low_25$registry_age_at_visit) 
sd(low_25$registry_age_at_visit) 
range(low_25$registry_age_at_visit) 
sum(low_25$racecat == "White") 
mean(low_25$X_ces_score,na.rm=TRUE) 
sd(low_25$X_ces_score,na.rm=TRUE) 
mean(low_25$X_dts_severity, na.rm=TRUE) 
sd(low_25$X_dts_severity,na.rm=TRUE) 
sum(low_25$P96==2) 
# Above 25
sum(high_25$gender) 
mean(high_25$registry_age_at_visit) 
sd(high_25$registry_age_at_visit) 
range(high_25$registry_age_at_visit) 
sum(high_25$racecat == "White") 
mean(high_25$X_ces_score,na.rm=TRUE) 
sd(high_25$X_ces_score,na.rm=TRUE) 
mean(high_25$X_dts_severity, na.rm=TRUE) 
sd(high_25$X_dts_severity,na.rm=TRUE) 
sum(high_25$P96==2) 

# Inferential Statistics
t.test(low_25$registry_age_at_visit,high_25$registry_age_at_visit, paired=FALSE) 
t.test(low_25$X_ces_score,high_25$X_ces_score,paired=FALSE) 
t.test(low_25$X_dts_severity,high_25$X_dts_severity, paired=FALSE) 
chisq.test(table(data$cesgroup.25,data$gender.var)) 
chisq.test(table(data$cesgroup.25,data$racecat.var)) 
